Skip to content

List integrations

GET
/api/v1/integrations
curl --request GET \
--url https://digize.com/api/v1/integrations \
--header 'x-api-key: <x-api-key>'

Every service the workspace can connect, and whether each is connected, needs attention or isn’t connected.

Needs the settings:read permission.

Done

Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
Allowed values: stripe twilio google_calendar google_business google_search_console google_sheets meta google_ads tiktok_ads linkedin_ads microsoft_ads pinterest_ads slack quickbooks xero zapier leadsplease click2mail
status
required
string
Allowed values: connected error not_connected
account
required

What it’s connected as: an account, a number, an email.

string | null
details
required
Array<string>
scopes
required

What the workspace allowed it to do when it connected.

Array<string>
connectedBy
required
string | null
connectedAt
required
Any of:
string format: date-time
lastSyncAt
required
Any of:
string format: date-time
webhook
required
Any of:
object
url
required
string
status
required
string
Allowed values: healthy failing
lastDeliveryAt
required
string format: date-time
failures
required
integer
<= 9007199254740991
error
required

Why it needs attention.

string | null
connectWith
required
Any of:
string
Allowed values: oauth credentials onboarding
ready
required

Whether this server has the service’s app credentials, so Connect can work.

boolean

Example

{
"data": [
{
"id": "stripe",
"status": "connected",
"webhook": {
"status": "healthy"
},
"connectWith": "oauth"
}
]
}

What was sent isn’t valid (invalid).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

No key, or one that’s unknown, off or expired.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

The key doesn’t have the permission this needs.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Nothing has that id (not_found).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Over the rate limit; see retry-after.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}